function [valores, probabilidades]=poisson(lambda, umbral)

%% Esta funcin lee un valor de lambda y devuelve los vectores de valores  
%% y probabilidades de la Poisson correspondiente. 

%% Se establece un umbral a priori, y se corta la serie de valores cuando la 
%% probabilidad est por debajo de ese valor umbral

n=1;
comprueba=umbral+1;
while comprueba>umbral
   comprueba=lambda^n/factorial(n)*exp(-lambda);
   n=n+1;
end


%% Por si queremos evitar los warnings, aadir la lnea 
%  warning off;

valores=[0:n];

for j=1:n+1
   probabilidades(j)=lambda^(j-1)/factorial(j-1)*exp(-lambda)
;
end

%% Esto es para dibujar el "histograma"

bar(valores, probabilidades, 'width', 0.5)


